## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDocumentBridge::BuildBridgeTreeWalker Class Reference

`#include <XercesDocumentBridge.hpp>`

Inheritance diagram for XercesDocumentBridge::BuildBridgeTreeWalker

Collaboration diagram for XercesDocumentBridge::BuildBridgeTreeWalker:

List of all members.

## Public Types

- typedef NavigatorBridgeVectorType NavigatorBridgeVectorInnerType
- typedef std::vector<NavigatorStackEntryType> NavigatorStackType

## Public Methods

- BuildBridgeTreeWalker ( XercesDocumentBridge* theDocument, XercesBridgeNavigator* theDocumentNavigator, NavigatorBridgeVectorInnerType& theNavigators, IndexType theStartIndex)
- virtual ~BuildBridgeTreeWalker ()

## Protected Methods

- virtual void startNode (const DOM_NodeType& node)
- virtual void endNode (const DOM_NodeType& node)

## Member Typedef Documentation

typedef NavigatorBridgeVectorType XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorBridgeVectorInnerType

typedef std::vector<NavigatorStackEntryType> XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackType

## Constructor & Destructor Documentation

XercesDocumentBridge::BuildBridgeTreeWalker::BuildBridgeTreeWalker ( | XercesDocumentBridge * theDocument,
| XercesBridgeNavigator * theDocumentNavigator,
| NavigatorBridgeVectorInnerType & theNavigators,
| IndexType theStartIndex )

virtual XercesDocumentBridge::BuildBridgeTreeWalker::~BuildBridgeTreeWalker ( | )`[virtual]`

## Member Function Documentation

virtual void XercesDocumentBridge::BuildBridgeTreeWalker::endNode ( | const DOM_NodeType & node )`[protected, virtual]`

Reimplemented from XercesTreeWalker.

virtual void XercesDocumentBridge::BuildBridgeTreeWalker::startNode ( | const DOM_NodeType & node )`[protected, virtual]`

Reimplemented from XercesTreeWalker.

The documentation for this class was generated from the following file:

- XercesDocumentBridge.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.